ViaVersion

Temporarily Disabling 1.11/1.13 Support

We have temporarily removed ViaVersion version support plugin from BungeeCord to see if it would resolve our current lag issues.

This was done due to reports that our previous attempts at mitigating performance issues did not solve all instances of crashes/freezes which still occurred when players joined. This was not a network or database issue – we had already fixed unrelated performance problems related to our database which also caused freezes. Since the main server’s timings also did not show anything abnormal, so we concluded that the lag was probably caused by the BungeeCord proxy. Ultimately, we suspected that the joining players used a particular version of Minecraft (1.13?) which caused ViaVersion to freeze up the server, which caused us to make this decision of removing ViaVersion from the proxy as a temporary experiment.

If you are using 1.13, or a lower version of Minecraft such as 1.10/1.11 (these are already unsupported versions), you will not be able to login for the time being. If you are having problems, please switch to Minecraft version 1.12.2.

Keep in mind that this is a temporary test. If the performance does improve as a result of this change, we will probably not attempt to re-implement 1.13 support, and we will look into an alternative method like ProtocolSupport to re-allow lower versions. Otherwise, we will revert the change and continue to investigate into possible sources of our performance issues

Tags: No tags

Leave a Comment